> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Read a public task description page



## OpenAPI

````yaml /openapi.json get /public-project/{id}/task/{taskId}/description
openapi: 3.1.0
info:
  title: Kaneo API
  version: 1.0.0
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
paths:
  /public-project/{id}/task/{taskId}/description:
    get:
      tags:
        - Projects
      summary: Read a public task description page
      operationId: getPublicTaskDescriptionPage
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
        - schema:
            type: string
          required: true
          name: taskId
          in: path
        - schema:
            type: string
            pattern: ^\d+$
            default: 0
          required: false
          name: offset
          in: query
        - schema:
            type: string
            pattern: ^[0-9]{1,10}$
          required: false
          name: version
          in: query
      responses:
        '200':
          description: Public task description page
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskDescriptionPage'
        '400':
          description: Invalid description cursor
          content:
            text/plain:
              schema:
                type: string
        '404':
          description: Public task not found
          content:
            text/plain:
              schema:
                type: string
        '409':
          description: Description changed or no longer public
          content:
            text/plain:
              schema:
                type: string
        '503':
          description: Description request timed out
          content:
            text/plain:
              schema:
                type: string
      security: []
components:
  schemas:
    TaskDescriptionPage:
      type: object
      properties:
        content:
          type: string
        version:
          type: string
        nextOffset:
          type:
            - number
            - 'null'
      required:
        - content
        - version
        - nextOffset
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or session token (Bearer)

````